2005年1月16日

[vine-users:069737] Re: hplipとhpdeskjet 5160

やまだ@三宝寺です。

On Sun, 16 Jan 2005 21:41:53 +0900
arima <arima-tk@xxxxx> wrote:

> yumが必要のようなのでvine3.1にyumを入れようとしたのですが、失敗したの
> でapt-getを使いました。
>
> fedore core3のdvd-romから、要求されるソフトをapt-getでinstallしようと
> 考え、まず

>
> apt-cdrom add
>
> をやったのですが、受け付けてもらえませんでした。これはやはりyumでない
> と駄目なのでしょうか。

他のディストリビューションのRPMパッケージでも(特に)バイナリの場合は質が悪
い場合があります...
rpmパッケージではなくtar.gzを解凍してmakeするのでは不味いのでしょうか?
# 実際何度かRPMに拘って解決しないので。
# tarballをmakeして解決した事があります。

> 結局vineのrepositoryで、apt-getをやったのですが、困ったことにPyQtが見
> つからないので、これをriverbankのsiteからdownloadしました。ところがこ
> れのinstallにはsipが必要で、これのmakeで挫折しました(あまり長くなるの
> でこのいきさつは省きます)。

ディストリビューションによってパッケージの分類(例えばsamba)が細かく変わっ
ている場合があって、そうなると関連するパッケージは全て入れ替えないとと言う事
も起きてきます。
# SRPMをspecファイルを弄ってバイナリパッケージを作って無理矢理インストールと
# 言う手段もあるかも知れませんが...

ケースバイケースで対処する事が近道?と言う場合もあると思います。

--
0----+----1----+----2----+----3----+----4----+----5----+----6----+----7----#
山田 和雄 MailTo:yamada@xxxxx
Yamada Kazuo HomePage http://shadow.sampoji.jp/


投稿者 xml-rpc : 2005年1月16日 21:53
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/11562
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。